import { Article } from './articleEntity';
interface ArticleStore {
  // State
  article: Article | undefined;
  isLoading: boolean;
  hasError: boolean;

  // Actions
  setArticle(article?: Article): void;
  getArticle(identifier: string): Promise<Article | null>;
}

export type { ArticleStore };
